#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	WebOb
Summary:	WSGI request and response object
Summary(pl.UTF-8):	Obiekty żądań i odpowiedzi WSGI
Name:		python-%{module}
Version:	1.8.9
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/WebOb/
Source0:	https://files.pythonhosted.org/packages/source/W/WebOb/webob-%{version}.tar.gz
# Source0-md5:	4167b16880e0d4c22aadee8ec3cc6c26
URL:		https://webob.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest >= 3.1.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.1.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-pylons-sphinx-themes
BuildRequires:	sphinx-pdg-3 >= 1.7.5
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%description -l pl.UTF-8
Moduł WebOb udostępnia opakowanie środowiska żądań WSGI oraz
obiekty pomagające przy tworzeniu odpowiedzi WSGI.

Obiekty odwzorowują większość określonego zachowania HTTP, w tym
analizę nagłówków oraz dostęp do innych standardowych elementów
środowiska.

%package -n python3-%{module}
Summary:	WSGI request and response object
Summary(pl.UTF-8):	Obiekty żądań i odpowiedzi WSGI
Group:		Libraries/Python

%description -n python3-%{module}
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%description -n python3-%{module} -l pl.UTF-8
Moduł WebOb udostępnia opakowanie środowiska żądań WSGI oraz
obiekty pomagające przy tworzeniu odpowiedzi WSGI.

Obiekty odwzorowują większość określonego zachowania HTTP, w tym
analizę nagłówków oraz dostęp do innych standardowych elementów
środowiska.

%package apidocs
Summary:	API documentation for Python WebOb module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona WebOb
Group:		Documentation

%description apidocs
API documentation for Python WebOb module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona WebOb.

%prep
%setup -q -n webob-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python} -m unittest discover -s tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m unittest discover -s tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt HISTORY.txt README.rst docs/license.txt
%{py_sitescriptdir}/webob
%{py_sitescriptdir}/WebOb-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt HISTORY.txt README.rst docs/license.txt
%{py3_sitescriptdir}/webob
%{py3_sitescriptdir}/WebOb-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,api,experimental,*.html,*.js}
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-WebOb.git;a=log;h=auto/th/python-WebOb-1.8.9-1

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> f9834be
- Up to 1.8.9

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5919220
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9e55334
- python 3.13 rebuild

* Fri Oct 27 2023 Jakub Bogusz <qboosh@pld-linux.org> e81d05d
- updated to 1.8.7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3478324
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ab17442
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 85c7b74
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 3284f1e
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 62fa2b7
- updated to 1.8.5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e4b7281
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 921005e
- cleanup

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 8fa0503
- updated to 1.8.2

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 222bca9
- python 3.7 rebuild
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5836511
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c1fde44
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ba6f5b4
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3c9cadf
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2247a36
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 03f2c3b
- python 3.4
- release 3 (by relup.sh)

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 5c52e33
- add python3 packages

